be.fgov.ehealth.genericinsurability.core.v1

## Enum FaultCodeType

- java.lang.Object
- - java.lang.Enum<FaultCodeType>
  - - be.fgov.ehealth.genericinsurability.core.v1.FaultCodeType

- All Implemented Interfaces:
    Serializable, Comparable<FaultCodeType>

      public enum FaultCodeType
      extends Enum<FaultCodeType>

  Java class for FaultCodeType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="FaultCodeType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="INPUT_ERROR"/>
           <enumeration value="NO_IO_ERROR"/>
           <enumeration value="MULTIIO_ERROR"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT_ERROR`
    `MULTIIO_ERROR`
    `NO_IO_ERROR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FaultCodeType` | `fromValue(String v)`
    `String` | `value()`
    `static FaultCodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FaultCodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT_ERROR

          public static final FaultCodeType INPUT_ERROR

    - #### NO_IO_ERROR

          public static final FaultCodeType NO_IO_ERROR

    - #### MULTIIO_ERROR

          public static final FaultCodeType MULTIIO_ERROR

  - ### Method Detail

    - #### values

          public static FaultCodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FaultCodeType c : FaultCodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FaultCodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static FaultCodeType fromValue(String v)

Connector Packaging PERSPRACTICALNURSE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.